Deals
IT EUR

Shop in

Store prices are shown for one country at a time, in its own currency.

Compare specs

Ad · Prices from partner stores, sorted cheapest first. We may earn a commission when you buy through our links; it never changes the order.Ad · Store prices, cheapest first. We may earn a commission.

TP-Link VR1200v wired router Black

TP-Link · Wired Router

TP-Link VR1200v wired router Black price in Italy

Model VR1200vMPN ARCHER VR1200VEAN 6935364083632

  • ColourBlack
  • Ethernet WANYes
  • Ethernet LAN (RJ-45) ports5
  • Antenna typeInternal

Lowest price incl. delivery

94,06 €

at EsseeffeFree deliveryIn stock

  • 1 store
  • 1 in stock
  • 1 with free delivery
  • Checked 23 Oct 2026, 17:42 UTC

Ad · prices and stock as last reported by the store; the store's checkout is what counts.

Full specifications and side-by-side comparison

Prices in Italy

1 store · prices in EUR · updated 23 Oct 2026, 17:42 UTC

Lowest price94,06 €at Esseeffe · free shippingGo to Esseeffe (opens in a new tab)
Price range across 1 offer

Every store asks the same price.

  • 1 of 1 stores in stock
  • 1 with free shipping
  • Checked 23 Oct 2026, 17:42 UTC

  1. EsseeffeLowest priceTp-link archer vr1200v router vdsl2 ac1200 usb voip In stockFree shipping
    94,06 €incl. free shipping
    Go to store : Esseeffe (opens in a new tab)

Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 23 Oct 2026, 17:42 UTC, and can change at any time. Taxes are included only where the store includes them.

Price history in Italy

Price history is being collected. After 14 days of prices we will show whether today's price is good.

Best price · Esseeffe94,06 €
Go to store

Product details

Identification

Brand
TP-Link
Product
VR1200v wired router Black
Full name
TP-Link VR1200v wired router Black
Manufacturer part number
ARCHER VR1200V
EAN / UPC
6935364083632
Category
Wired Router

53 specifications from the manufacturer's data sheet

WAN connection

Ethernet WANYes

Network

Networking standardsIEEE 802.11a, IEEE 802.11ac, IEEE 802.11b, IEEE 802.11g, IEEE 802.11n, IEEE 802.3, IEEE 802.3ab, IEEE 802.3u
Ethernet LANYes
Cabling technology10/100Base-T(X)
Ethernet LAN data rates10,100,1000 Mbit/s
Port forwardingYes
Frequency range2.4 - 5 GHz

DSL features

ADSLYes
ADSL2Yes
ADSL2+Yes
VDSL2Yes

Management features

Web-based managementYes
Quality of Service (QoS) supportYes
Universal Plug and Play (UPnP)Yes
Reset buttonYes
WPS push buttonYes

Ports & interfaces

Ethernet LAN (RJ-45) ports5
RJ-11 ports quantity3
USB ports quantity1
USB version2.0
DC-in jackYes

Protocols

DHCP clientYes
DHCP serverYes
Supported protocolsATM Forum UNI3.1/4.0, PPP over ATM (RFC 2364), PPP over Ethernet (RFC2516), IPoA (RFC1577/2225), MER\IPoE (RFC 1483 Routed), Bridge (RFC1483 Bridge), PVC – Up to 8 PVCs

Security

Security algorithms64-bit WEP, 128-bit WEP, WPA, WPA-PSK, WPA2
MAC address filteringYes
IP address filteringYes
DoS attack preventionYes
Guest accessYes
VPN supportPPTP, IPSec

Packaging content

AC adapter includedYes
Cables includedLAN (RJ-45)
Quick installation guideYes

Certificates

Compliance certificatesRoHS

Features

Windows operating systems supportedWindows 10, Windows 2000, Windows 7, Windows 8, Windows 8.1, Windows 98SE, Windows NT, Windows Vista, Windows XP
Mac operating systems supportedYes
Linux operating systems supportedYes
CertificationCE

Design

Product colourBlack
LED indicatorsYes
On/off switchYes

Antenna

Antenna typeInternal
Antenna gain level (max)3 dBi
Transmit power range20 - 23 dBmW

Power

Power source typeDC

Operational conditions

Operating temperature (T-T)0 - 40 °C
Storage temperature (T-T)-40 - 70 °C
Operating relative humidity (H-H)10 - 90%
Storage relative humidity (H-H)5 - 90%

Weight & dimensions

Width214 mm
Depth144.5 mm
Height80 mm

Packaging data

Package typeBox

What people say

Reviews & ratings

TP-Link VR1200v wired router Black

No reviews yet

Be the first to tell others how TP-Link VR1200v wired router Black works for you.

Write the first review
  • Every rating countsLow ratings are never hidden, removed or pushed down.
  • Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
  • Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.

Your review

Share your experience

How does TP-Link VR1200v wired router Black work for you? A few honest sentences help others choose — it takes a minute.

Your rating

No account or e-mail. Only your review and the name you choose are kept.

Reviews are written by visitors; we do not check purchases. We remove spam, advertising and abuse — never a review for its rating.

More wired routers deals in Italy

All wired routers deals